*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}


:root{
    --primary-blue: #0b2560;
    --secondary-blue: #173b8f;
    --primary-red: #c73027;
    --secondary-red: #f82a20;
    --primary-gray: #656565;
    --primary-font:'Roboto', sans-serif;
    --primary-white: #eee;
    --secondary-white: #d7d5d5;
    --primary-blackblue: #22252d;
    --secondary-blackblue: #4e4e4e;
}

html, body {
    overflow-x: hidden;
}

/* Chrome, Edge y Safari */
::-webkit-scrollbar {
  width: 10px;
}

::-webkit-scrollbar-track {
  background: #fff;
}

::-webkit-scrollbar-thumb {
  background: var(--secondary-blue);
  border-radius: 10px;
}

::-webkit-scrollbar-thumb:hover {
  background: var(--primary-blue);
}

/* Firefox */
* {
  
  scrollbar-color: var(--secondary-blue) #fff;
}

body {
  margin: 0;
  font-family: var(--primary-font);
}

/* icon whatsapp*/
/* Botón flotante */
.whatsapp-float {
  position: fixed;
  bottom: 30px;
  right: 20px;
  z-index: 9999;

  animation:
    appear 0.6s ease forwards,
    vibrate 5s infinite 2s;
}

/* Círculo */
.whatsapp-inner {
  width: 65px;
  height: 65px;
  background: var(--secondary-blue);
  border-radius: 50%;

  display: flex;
  align-items: center;
  justify-content: center;

  box-shadow: 0 6px 18px rgba(0, 0, 0, 0.25);

  transition:
    transform 0.3s ease,
    box-shadow 0.3s ease;
}

/* Hover */
.whatsapp-inner:hover {
  transform: scale(1.15);
  background: var(--primary-blue);
  box-shadow: 0 10px 24px rgba(0, 0, 0, 0.35);
}

/* Imagen */
.whatsapp-inner img {
  width: 34px;
  height: 34px;
  object-fit: contain;
}

/* Aparición */
@keyframes appear {
  0% {
    opacity: 0;
    transform: translateY(30px) scale(0.7);
  }

  100% {
    opacity: 1;
    transform: translateY(0) scale(1);
  }
}

/* Vibración suave */
@keyframes vibrate {
  0% {
    transform: translateX(0) rotate(0deg);
  }

  2% {
    transform: translateX(-3px) rotate(-4deg);
  }

  4% {
    transform: translateX(3px) rotate(4deg);
  }

  6% {
    transform: translateX(-3px) rotate(-4deg);
  }

  8% {
    transform: translateX(3px) rotate(4deg);
  }

  10% {
    transform: translateX(0) rotate(0deg);
  }

  100% {
    transform: translateX(0) rotate(0deg);
  }
}
/* fin icon whatsapp */

button h3{
    font-family: var(--primary-font);
}


/* Ajustes generales */
.width-xl{
    width: 100%;
    max-width: 1280px;
    margin-left: auto;
    margin-right: auto;
}

.padding-xl{
    padding: 15px 35px;
}

.margin-xl{
    margin: 100px 0;
}

@media(max-width: 600px){
    .margin-xl{
        margin: 80px 0;
    }

    .padding-xl{
        padding: 20px 25px;
    }
}

h2{
    font-size: 2rem;
    color: var(--primary-blackblue);
    line-height: 2.7rem;
}

.blue h3{
    font-size: 2rem;
}
h1 span, h2 span{
    color: var(--primary-red);
}

p{
    color: var(--secondary-blackblue);
    line-height: 1.5rem;
   
}

@media(max-width: 600px){
    h2{
        font-size: 1.5rem;
        line-height: 2.3rem;
    }

    .blue h3{
        font-size: 1.5rem;
    }

    p{
        font-size: 14px;
    }
}

/* NAVBAR BASE */

.navbar {
  position: fixed;
  top: 0;
  width: 100%;
  transition: all 0.3s ease;
  z-index: 1000;
  transition: background-color 0.4s ease;
  
}

.navbar.menu-active {
    background: #fff;
}

.navbar-into{
display: flex;
  justify-content: space-between;
  align-items: center;
  transition: background-color 0.3s ease;
  
}


/* TRANSPARENTE INICIAL */

.navbar.transparent {
  background: transparent;
}

/* FONDO BLANCO AL SCROLL */

.navbar.scrolled {
  background: white;
  box-shadow: 0px 4px 10px rgba(0,0,0,0.2);
}



/* LEFT SIDE */

.nav-left {
  display: flex;
  align-items: center;
  gap: 12px;
  text-decoration: none;
  
}



.logo{
    display:none;
}


.logo , .logo-contorno{
  height: 50px;
}



.hidden{
    display: none;
}

.logo.visible{
    display:flex;
}

.logo-text {
  display: flex;
  flex-direction: column;
  line-height: 1.1;
}

.line1 {
  font-weight: bold;
  font-size: 18px;
  color: white;
}

.line2 {
  font-size: 14px;
  color: rgb(198, 198, 198);
}

@media(max-width: 600px){
    .logo , .logo-contorno{
  height: 40px;
}

.line1{
    font-size: 16px;
   
}
}

/* Configuracion para que funcione el hero con navbar transparente*/

.nav-left.reverse .logo-text .line1 {
    color: var(--primary-blue);
}

.nav-left.reverse .logo-text .line2 {
    color: var(--primary-red);
}

/* Configuracion por si se abre el menu en mobile*/

.navbar-into.menu-open .nav-left .logo-text .line1 {
    color: var(--primary-blue);
}

.navbar-into.menu-open .nav-left .logo-text .line2 {
    color: var(--primary-red);
}

/* CENTER SIDE */

.nav-center {
  display: flex;
  gap: 30px;
}

.nav-center a {
  text-decoration: none;
  color: white;
  font-weight: 600;
  transition: 0.2s;
  position: relative;
    padding-bottom: 5px;

}

.nav-center.reverse a{
    color:  var(--primary-blue);
}

/* Configuracion para que los colores funcionen cuando se abre el menu en mobile*/
.navbar-into.menu-open .nav-center a{
    color: var(--primary-blue);
}


/* Mantener activo la opcion*/
.nav-center a.active{
    color: var(--primary-red);
}


.nav-center a.active::after{
    transform: scaleX(1);
}


.nav-center a::after {
  content: "";
  position: absolute;
  bottom: -3px;
  left: -5px;
  width: calc(100% + 10px);
  height: 3px;
  background: var(--primary-red);

  transform: scaleX(0);
  transform-origin: left;
  transition: transform 0.3s ease;
}

/* Animación al hover */
.nav-center a:hover::after {
  transform: scaleX(1);
}


.nav-center a:hover {
  color: var(--primary-red);
}

/* Right Side*/

.nav-right{
    display: flex;
    align-items: center;
    
}
.nav-right a{
    text-decoration: none;
    display: flex;
    gap: 10px;
    align-items: center;
    height: 42px;
    background-color: var(--secondary-blue);
    color: var(--primary-white);
    padding: 0px 30px;
}

.nav-right a p{
    margin: 0;
    font-size: 15px;
    margin-top: 1px;
    color: var(--primary-white);
}

.nav-right a img{
    width: 15.5px;
}

/* Hover y animaciones boton del nav*/

.nav-right a:hover{
    transform: scale(105%);
    background-color: var(--primary-red);
    transition: transform 0.3s ease;
}


/* Activamos animación en hover del telefono */
.nav-right a:hover img{
    transition: transform 0.3s ease;
}

.nav-right a:hover img {
  animation: vibrar 0.6s ease-in-out;
}

/* Keyframes */
@keyframes vibrar {
  0%   { transform: rotate(0deg); }
  20%  { transform: rotate(-10deg); }
  40%  { transform: rotate(10deg); }
  60%  { transform: rotate(-8deg); }
  80%  { transform: rotate(8deg); }
  100% { transform: rotate(0deg); }
}

/*Navbar mobile*/

/* HAMBURGUESA */
.menu-toggle {
  display: none;
  flex-direction: column;
  gap: 6px;
  cursor: pointer;
}

.menu-toggle span {
  width: 25px;
  height: 3px;
  background: var(--primary-white);
  transition: 0.3s;
}

.menu-open .menu-toggle span{
    background: var(--primary-blue);
}


.navbar-into.menu-open .menu-toggle span:nth-child(1) {
  transform: translateY(9px) rotate(45deg);
}

.navbar-into.menu-open .menu-toggle span:nth-child(2) {
  opacity: 0;
}

.navbar-into.menu-open .menu-toggle span:nth-child(3) {
  transform: translateY(-9px) rotate(-45deg);
}

/* MOBILE */
@media (max-width: 800px) {

  .nav-center{
    position: absolute;
    top: 78px;
    left: 0;
    width: 100%;
   
    flex-direction: column;
    align-items: center;
    gap: 25px;
    padding-bottom: 25px;
    padding-top: 20px;

    transform: translateY(-200%);
    transition: 0.3s ease;
    z-index: -1;
   
  }

  .nav-right {
    position: absolute;
    display: flex;
    justify-content: center;
    top: 273px;
    left: 0;
    width: 100%;
    transform: translateY(-800%);
    transition: 0.3s ease;
    z-index: -1;
  }


  .nav-center.active, .nav-right.active {
    transform: translateY(0);
    background-color: white;
  }

  .nav-right.active {
    padding: 25px 0;
  }

  /* configuracion para menu */

  .navbar-into.menu-open{
    background-color: white;
  }

  .menu-toggle {
    display: flex;
  }

  
.menu-toggle.white-burguer span {
  
  background: var(--primary-blue);
 
}
  
}


/* Footer */

.footer {
  background-color: #0b2560;
  color: var(--primary-white);
  padding-top: 60px;
  padding-bottom: 30px;
  position: relative;

  background-image: url("../assets/footer_fondo.webp");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;

}

.footer p{
    color: var(--primary-white);
}

/* Overlay para controlar opacidad */
.footer::before {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(11, 37, 96, 0.40);
  z-index: 0;
}

.footer-container {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 40px;
  position: relative;
  z-index: 1;
  padding-bottom: 55px;
  border-bottom: 1px solid rgba(255,255,255,0.2);
  overflow: hidden;
}



/* Columnas */
.footer-column {
  display: flex;
  flex-direction: column;
}

/* Divisores verticales */
.footer-column:not(:last-child) {
  border-right: 1px solid rgba(255,255,255,0.2);
  padding-right: 20px;
}

.footer-logo {
  width: 100px;
  margin-bottom: 15px;
}

.footer-description {
  font-size: 14px;
  line-height: 1.6;
  opacity: 0.8;
}

.footer-column h3 {
  margin-bottom: 25px;
  font-size: 18px;
  font-weight: 600;
}

.footer-column ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

.footer-column ul li {
  margin-bottom: 15px;
}

.footer-column a {
  color: #eee;
  text-decoration: none;
  transition: 0.3s;
}

.footer-column a:hover {
  color: #c73027;
}

/* Address */
.address p{
    margin-top: 0;
    margin-bottom: 15px;
    display: flex;
    align-items: center;
}

.address img{
    width: 20px;
    margin-right: 10px;
}

/* Social */
.social-links {
  display: flex;
  gap: 25px;
}

.social-links img {
  width: 22px;
  transition: transform 0.3s ease;
}

.social-links a:hover img {
  transform: scale(1.2);
}

/* Bottom */
.footer-bottom {
  text-align: center;
  margin-top: 25px;
  font-size: 13px;
  opacity: 0.7;
  position: relative;
  z-index: 1;
}




.footer-retro{
    position: absolute;
    bottom: 0;
    left: -80px; /* empieza fuera de pantalla */
    width: 65px;
    transform: scaleX(-1);
    animation: retroMove 20s linear infinite;
}

@keyframes retroMove {
    from {
        left: -80px;
    }
    to {
        left: 100%;
    }
}



/* Footer responsive*/
@media (max-width: 900px) {
  .footer-container {
    grid-template-columns: 1fr 1fr;
    gap: 30px;
  }

  .footer-column {
    border-right: none !important;
    padding-right: 0 !important;
  }
}

@media (max-width: 600px) {
  .footer-container {
    grid-template-columns: 1fr;
  }

  .social-links{
    margin-bottom: 20px;
    gap: 35px;
  }

  .social-links img{
    width: 30px;
  }
}

/* Banner */


.banner {
    position: relative;
    width: 100%;
    
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
   

}

/* Imagen fondo */
.banner-bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 2;
}

/* Overlay oscuro */
.banner-overlay {
    position: absolute;
    inset: 0;
    z-index: 1;

    background: var(--primary-blue);
    
}

/* Contenido centrado */
.banner-content {
    position: relative;
    z-index: 3;
   
    padding-top: 100px;
    padding-bottom: 50px;
}

/* Tipografía */
.banner-content h1 {
     font-size: 2.6rem;
    margin-bottom: 30px;
    color:var(--primary-white);
}

.banner-content p {
    font-size: 20px;
    
    color: var(--secondary-white);
}

/* Responsive */
@media (max-width: 768px) {
    .banner {
        min-height: 220px;
    }

    .banner-content h1 {
        font-size: 1.8rem;
    }

    .banner-content p {
        font-size: 1rem;
    }
}

/* Top Title */
.top-title{
    color: var(--primary-blue);
    text-transform: uppercase;
    font-weight: 600;
    letter-spacing: 3px;
  
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 16px;
}

.top-title img{
    width: 20px;
    margin-top: -1px;
}

/* Pagina de Contacto */

.contact-section{
    width:100%;
    position:relative;
}

.contact-container{
    display:flex;
    gap:40px;
    align-items:stretch;
}

/* LEFT */

.contact-form-wrapper{
    flex:1;
}

.contact-title{
    margin-bottom:30px;
    display: flex;
    flex-direction: column;
    gap: 20px;
}


.contact-form{
    display:flex;
    flex-direction:column;
    gap:30px;
    border: 1px solid var(--secondary-white);
    padding: 2rem;
}

.input-group{
    display:flex;
    flex-direction:column;
    gap:10px;
}

.input-group label{
    font-weight:600;
}

.input-group input,
.input-group textarea{
    width:100%;
    border:1px solid #d9d9d9;
    padding:16px;
    border-radius:.5rem;
    outline:none;
    font-size:1rem;
    transition:.3s ease;
}

.input-group input:focus,
.input-group textarea:focus{
    border-color:#000;
}

.input-group textarea{
    min-height:180px;
    resize:none;
}

.contact-form button{
    border:none;
    padding:18px;
    cursor:pointer;
    font-size:1rem;
    font-weight:600;
    transition:.3s ease;
    background-color: var(--primary-red);
    color: var(--primary-white);
}

.contact-form button:hover{
    transform:translateY(-4px);
    background-color: var(--secondary-red);
}

/* RIGHT */

.contact-info-wrapper{
    flex:1;
    display:flex;
    flex-direction:column;
    gap:25px;
}

.map-container{
    width:100%;
    height:350px;
    overflow:hidden;
   
}

.map-container iframe{
    width:100%;
    height:100%;
}

/* GRID */

.contact-grid{
    display:grid;
    grid-template-columns:repeat(2,1fr);
    gap:20px;
}

.contact-card{
    border:1px solid var(--secondary-white);
    padding:25px;
}

.contact-card a {
 color: var(--secondary-blackblue);
  opacity: 0.8;
    transition: .3s ease;
}

.contact-phone{
    text-decoration: none;
    display: flex;
}

.contact-phone:hover{
    color: var(--primary-red);
    text-decoration: underline;
    transform: translateY(-2px);
    
}

.contact-email{
      transition: .3s ease;
      display: flex;
}

.contact-email:hover {
  text-decoration: underline;
  color: var(--primary-red);
  transform: translateY(-2px);
  
}

.card-title{
    display:flex;
    align-items:center;
    gap:12px;
    margin-bottom:15px;
}

.card-title img{
    width: 20px;
}



.contact-card p{
    line-height:1.6;
    opacity:.8;
}

.social-links-contact{
    display:flex;
    flex-direction:column;
    gap:10px;
}


.social-links-contact a{
    text-decoration:none;
    color:var(--secondary-blackblue);
}

.social-links-contact {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.social-links-contact a {
    display: flex;
    align-items: center;
    gap: .7rem;
    text-decoration: none;
        transition: .3s ease;
}

.social-links-contact a:hover {
    color: var(--primary-red);
    text-decoration: underline;
    transform: translateY(-2px);
}



.fa-dt{
    color: var(--primary-red);
}

/* RESPONSIVE */

@media (max-width:900px){

    .contact-container{
        flex-direction:column;
    }

    .contact-grid{
        grid-template-columns:1fr;
    }

    .map-container{
        height:300px;
    }

}

/* Animacion formulario y mapa */

.contact-form-wrapper,
.contact-info-wrapper{
    opacity: 0;
    transition: all 1.5s ease;
}

/* IZQUIERDA */
.contact-form-wrapper{
    transform: translateX(-100px);
}

/* DERECHA */
.contact-info-wrapper{
    transform: translateX(100px);
}

/* ESTADO VISIBLE */
.contact-form-wrapper.show,
.contact-info-wrapper.show{
    opacity: 1;
    transform: translateX(0);
}